Bug 1029194 - Review Request: dcw-gmt - Digital Chart of the World (DCW) for GMT
Review Request: dcw-gmt - Digital Chart of the World (DCW) for GMT
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1029197
  Show dependency treegraph
 
Reported: 2013-11-11 16:31 EST by Orion Poplawski
Modified: 2013-11-12 10:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-12 10:55:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-11-11 16:31:02 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/dcw-gmt.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/dcw-gmt-1.1.0-1.fc19.src.rpm
Description: 
DCW-GMT is an enhancement to the original 1:1,000,000 scale vector basemap of
the world available from the Princeton University Digital Map and Geospatial
Information Center and from GeoCommunity at
http://data.geocomm.com/readme/dcw/dcw.html.

Fedora Account System Username: orion
Comment 1 Christopher Meng 2013-11-11 22:51:59 EST
URL ?= http://www.soest.hawaii.edu/wessel/dcw/

Source0 ?= http://www.soest.hawaii.edu/pwessel/dcw/dcw-gmt-1.1.0.tar.gz

---------

${RPM_BUILD_ROOT}/%{_datadir}:

Eithor:

$RPM_BUILD_ROOT/%{_datadir}

Or:

%{buildroot}%{_datadir}
Comment 2 Orion Poplawski 2013-11-11 23:22:30 EST
That's what you get for re-using existing specs...

* Mon Nov 11 2013 Orion Poplawski <orion@cora.nwra.com> 1.1.0-2
- Fix URL and Source0
- Use buildroot macro

Spec URL: http://www.cora.nwra.com/~orion/fedora/dcw-gmt.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/dcw-gmt-1.1.0-2.fc19.src.rpm
Comment 3 Christopher Meng 2013-11-12 00:06:59 EST
Well, one more question about this package.

It looks like that it's used by GMT, a software which is being commonly used in geographic area. From the description of this package:

" To read and process the data you
should install GMT, the Generic Mapping Tools."

First I think we don't need this line, second, if I understand correctly, this package should have dependency of GMT otherwise it will be useless. Right?

------------

dcw-gmt.src: W: no-%build-section

Please add a note ;)


Package is simple and fine, so please answer questions above and I will grant the fedora-review.
Comment 4 Orion Poplawski 2013-11-12 00:32:32 EST
(In reply to Christopher Meng from comment #3)
> Well, one more question about this package.
> 
> It looks like that it's used by GMT, a software which is being commonly used
> in geographic area. From the description of this package:
> 
> " To read and process the data you
> should install GMT, the Generic Mapping Tools."
> 
> First I think we don't need this line, second, if I understand correctly,
> this package should have dependency of GMT otherwise it will be useless.
> Right?
> 

I went back and forth on this.  I think though if someone really wants to just install this data and use it in some other way they should be able to.  GMT however obviously depends on this and requires it.

> dcw-gmt.src: W: no-%build-section
> 
> Please add a note ;)

Um, okay, done.
Comment 5 Christopher Meng 2013-11-12 02:44:07 EST
PACKAGE APPROVED.
Comment 6 Orion Poplawski 2013-11-12 09:56:42 EST
Thanks for the review.

New Package SCM Request
=======================
Package Name: dcw-gmt
Short Description: Digital Chart of the World (DCW) for GMT
Owners: orion
Branches: f20
InitialCC:
Comment 7 Gwyn Ciesla 2013-11-12 10:29:29 EST
Git done (by process-git-requests).
Comment 8 Orion Poplawski 2013-11-12 10:55:35 EST
Checked in and built.

Note You need to log in before you can comment on or make changes to this bug.